
 #ifndef _NMLGEN_H_
 #define _NMLGEN_H_


 #define uchar unsigned char

 void NML_GENPLASMA(uchar *framebuf, int off_x, int off_y,
                    int freq_x, int freq_y, int plasm_r,
                    int plasm_g, int plasm_b, int plasm_a,
                    int plasm_blend);

 void NML_GENNOISE(uchar *framebuf, int noise_amount, int type_noise);

 void NML_GENCOLOR(uchar *framebuf, int br, int bg, int bb);

 extern unsigned long NMLRND_seed;

 unsigned long NMLRND_find(unsigned long NMLRND_limit); 


                                      
 #endif
